Debian Bug report logs - #588383
binutils: diversion conflict with hardening-wrapper

version graph

Package: hardening-wrapper; Maintainer for hardening-wrapper is Package Hardening <hardening-discuss@lists.alioth.debian.org>; Source for hardening-wrapper is src:hardening-wrapper.

Reported by: Hector Oron <zumbi@debian.org>

Date: Wed, 7 Jul 2010 21:33:02 UTC

Severity: wishlist

Tags: moreinfo

Fixed in version 2.20.51.20100813-1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#588383; Package binutils-multiarch. (Wed, 07 Jul 2010 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 07 Jul 2010 21:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: binutils: diversion conflict with hardening-wrapper
Date: Thu, 08 Jul 2010 00:31:59 +0200
Package: binutils-multiarch
Version: 2.20.51.20100617-1
Severity: normal


Hello,

  I have not looked into it closer, but having hardening-wrapper and binutils-multiarch (both from experimental) causes troubles to remove/install due to diverted packages.

Cheers,

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages binutils-multiarch depends on:
ii  binutils              2.20.51.20100617-1 The GNU assembler, linker and bina
ii  libc6                 2.11.2-2           Embedded GNU C Library: Shared lib
ii  zlib1g                1:1.2.3.4.dfsg-3   compression library - runtime

binutils-multiarch recommends no packages.

binutils-multiarch suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#588383; Package binutils-multiarch. (Sat, 10 Jul 2010 09:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Sat, 10 Jul 2010 09:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 588383@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Hector Oron <zumbi@debian.org>, 588383@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#588383: binutils: diversion conflict with hardening-wrapper
Date: Sat, 10 Jul 2010 11:15:15 +0200
reassign 588383 hardening-wrapper
tag 588383 + moreinfo
thanks

On 08.07.2010 00:31, Hector Oron wrote:
> Package: binutils-multiarch
> Version: 2.20.51.20100617-1
> Severity: normal
>
>
> Hello,
>
> I have not looked into it closer,

please do so.

> but having hardening-wrapper and binutils-multiarch (both from experimental) 
causes troubles to remove/install due to diverted packages.

reassigning, for now, although a better description of the issue might be good.

> Cheers,
>
> -- System Information:
> Debian Release: squeeze/sid
>    APT prefers stable
>    APT policy: (700, 'stable'), (650, 'testing'), (600, 'unstable'), (1, 'experimental')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
> Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages binutils-multiarch depends on:
> ii  binutils              2.20.51.20100617-1 The GNU assembler, linker and bina
> ii  libc6                 2.11.2-2           Embedded GNU C Library: Shared lib
> ii  zlib1g                1:1.2.3.4.dfsg-3   compression library - runtime
>
> binutils-multiarch recommends no packages.
>
> binutils-multiarch suggests no packages.
>
> -- no debconf information
>
>





Bug reassigned from package 'binutils-multiarch' to 'hardening-wrapper'. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 10 Jul 2010 09:18:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions binutils/2.20.51.20100617-1. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 10 Jul 2010 09:18:07 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 10 Jul 2010 09:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Package Hardening <hardening-discuss@lists.alioth.debian.org>:
Bug#588383; Package hardening-wrapper. (Sat, 10 Jul 2010 14:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Package Hardening <hardening-discuss@lists.alioth.debian.org>. (Sat, 10 Jul 2010 14:42:06 GMT) Full text and rfc822 format available.

Message #21 received at 588383@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Matthias Klose <doko@debian.org>
Cc: 588383@bugs.debian.org
Subject: Re: Bug#588383: binutils: diversion conflict with hardening-wrapper
Date: Sat, 10 Jul 2010 16:39:37 +0200
Hello,

2010/7/10, Matthias Klose <doko@debian.org>:
>  > but having hardening-wrapper and binutils-multiarch (both from
> experimental)
> causes troubles to remove/install due to diverted packages.
>
> reassigning, for now, although a better description of the issue might be
> good.

I have tried on a clean chroot. And here is the explanation of what
was going on.

While I was getting `binutils-multiarch'/experimental I had
`hardening-wrapper'/unstable installed and they both conflict, due to
a change on diverted /usr/bin/ld.bfd in binutils-multiarch
(2.20.51.20100527-1):

   * Rename /usr/bin/ld from multiarch build to ld.bfd. Closes: #582490.

`hardening-wrapper' from experimental, has added a conflict on
binutils-multiarch:

    Conflicts: binutils-multiarch (>= 2.20.51.20100418-1)

This version might also contain changes to diverted application which
causes the problem. I think it might be interesting to have
`binutils-multiarch' co-installable with `hardening-wrapper'

Best Regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Severity set to 'wishlist' from 'normal' Request was from Kees Cook <kees@debian.org> to control@bugs.debian.org. (Thu, 15 Jul 2010 23:21:06 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.20.51.20100813-1. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 00:54:02 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.20.51.20100813-1, send any further explanations to Hector Oron <zumbi@debian.org> Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 01:03:03 GMT) Full text and rfc822 format available.

Message sent on to Hector Oron <zumbi@debian.org>:
Bug#588383. (Mon, 21 Feb 2011 01:03:06 GMT) Full text and rfc822 format available.

Message #30 received at 588383-submitter@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: control@bugs.debian.org
Cc: 588383-submitter@bugs.debian.org
Subject: closing 588383
Date: Mon, 21 Feb 2011 00:57:13 +0000
close 588383 2.20.51.20100813-1
thanks

Hello,

  I do not see this problem any more since Jonathan Nieder change:

  [ Jonathan Nieder ]                                                             ▒
  * Remove ld.bfd from binutils-multiarch (not that useful without an             ▒
    multiarch assembler). 

Best regards,
  -- Hector Oron





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Mar 2011 07:42:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:07:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.